/* Disable select arrow for form-control-plaintext select */
select.form-control-plaintext {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

select.form-control.fake-select {
    background-color: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.form-check-input[readonly] {
    pointer-events: none;
}

.form-check-input[readonly] ~ .form-check-label {
    cursor: default;
    pointer-events: none;
}

textarea.form-control-plaintext {
    resize: none;
}

.htmx-indicator {
    display: none;
}

.htmx-request .htmx-indicator {
    display: inline;
}

.htmx-request.htmx-indicator {
    display: inline;
}

table.dataTable td.dt-control {
    text-align: center;
    cursor: pointer;
}

table.dataTable td.dt-control:before {
    height: 1em;
    width: 1em;
    margin-top: -9px;
    display: inline-block;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: "Courier New", Courier, monospace;
    line-height: 1em;
    content: "+";
    background-color: #31b131;
}

table.dataTable tr.dt-hasChild td.dt-control:before {
    height: 1em;
    width: 1em;
    margin-top: -9px;
    display: inline-block;
    color: white;
    border: 0.15em solid white;
    border-radius: 1em;
    box-shadow: 0 0 0.2em #444;
    box-sizing: content-box;
    text-align: center;
    text-indent: 0 !important;
    font-family: "Courier New", Courier, monospace;
    line-height: 1em;
    content: "-";
    background-color: #d33333;
}

.sidebar-collapse .brand-text {
    display: none;
}

.sidebar-collapse .brand-image {
    float: none;
}
